## org.exist.xquery
Class StaticXQueryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.exist.xquery.XPathException
                  org.exist.xquery.StaticXQueryException

All Implemented Interfaces:
  java.io.Serializable

public class StaticXQueryException
extends XPathException

See Also:
  Serialized Form

Constructor Summary
`StaticXQueryException(java.lang.String message)`
`StaticXQueryException(java.lang.String message, int line, int column)`
`StaticXQueryException(java.lang.String message, java.lang.Throwable cause)`
`StaticXQueryException(java.lang.Throwable cause)`
`StaticXQueryException(XQueryAST ast, java.lang.String message)`
`StaticXQueryException(XQueryAST ast, java.lang.String message, java.lang.Throwable cause)`

Methods inherited from class org.exist.xquery.XPathException
`addFunctionCall, getColumn, getDetailMessage, getLine, getMessage, getMessageAsHTML, prependMessage, setASTNode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StaticXQueryException

    public StaticXQueryException(java.lang.String message)

### StaticXQueryException

    public StaticXQueryException(XQueryAST ast,
                                 java.lang.String message)

### StaticXQueryException

    public StaticXQueryException(java.lang.String message,
                                 int line,
                                 int column)

### StaticXQueryException

    public StaticXQueryException(java.lang.Throwable cause)

### StaticXQueryException

    public StaticXQueryException(java.lang.String message,
                                 java.lang.Throwable cause)

### StaticXQueryException

    public StaticXQueryException(XQueryAST ast,
                                 java.lang.String message,
                                 java.lang.Throwable cause)

Copyright (C) Wolfgang Meier. All rights reserved.